GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Structures | Macros | Typedefs | Functions | Variables
pollset_posix.h File Reference
`#include <grpc/support/sync.h>`
`#include "src/core/iomgr/pollset_kick_posix.h"`

Go to the source code of this file.

## Data Structures
struct | grpc_pollset
struct | grpc_pollset_vtable

## Macros
#define | GRPC_POLLSET_MU(pollset) (&(pollset)->mu)

## Typedefs
typedef struct grpc_pollset_vtable | grpc_pollset_vtable
typedef struct grpc_pollset | grpc_pollset
typedef void(* | grpc_platform_become_multipoller_type )(grpc_pollset *pollset, struct grpc_fd **fds, size_t fd_count)

## Functions
void | grpc_pollset_add_fd (grpc_pollset *pollset, struct grpc_fd *fd)
void | grpc_pollset_del_fd (grpc_pollset *pollset, struct grpc_fd *fd)
void | grpc_pollset_force_kick (grpc_pollset *pollset)
int | grpc_kick_read_fd (grpc_pollset *p)
void | grpc_kick_drain (grpc_pollset *p)
int | grpc_poll_deadline_to_millis_timeout (gpr_timespec deadline, gpr_timespec now)
void | grpc_poll_become_multipoller (grpc_pollset *pollset, struct grpc_fd **fds, size_t fd_count)

## Variables
grpc_platform_become_multipoller_type | grpc_platform_become_multipoller

## Macro Definition Documentation

#define GRPC_POLLSET_MU | ( |  | pollset | ) | (&(pollset)->mu)

## Typedef Documentation

typedef void(* grpc_platform_become_multipoller_type)(grpc_pollset *pollset, struct grpc_fd **fds, size_t fd_count)

typedef struct grpc_pollset grpc_pollset

typedef struct grpc_pollset_vtable grpc_pollset_vtable

## Function Documentation

void grpc_kick_drain | ( | grpc_pollset * | p | ) |

int grpc_kick_read_fd | ( | grpc_pollset * | p | ) |

void grpc_poll_become_multipoller | ( | grpc_pollset * | pollset,
|  | struct grpc_fd ** | fds,
|  | size_t | fd_count
| ) |  |

int grpc_poll_deadline_to_millis_timeout | ( | gpr_timespec | deadline,
|  | gpr_timespec | now
| ) |  |

void grpc_pollset_add_fd | ( | grpc_pollset * | pollset,
|  | struct grpc_fd * | fd
| ) |  |

void grpc_pollset_del_fd | ( | grpc_pollset * | pollset,
|  | struct grpc_fd * | fd
| ) |  |

void grpc_pollset_force_kick | ( | grpc_pollset * | pollset | ) |

## Variable Documentation

grpc_platform_become_multipoller_type grpc_platform_become_multipoller